# Package contains plugins not built by libtool: must disable
# underlinking prevention - AdamW 2008/06
%define _disable_ld_no_undefined 1

%define _requires_exceptions /usr/bin/../pl.sh

Summary:	Prolog interpreter and compiler
Name:		swi-prolog
Version:	5.6.64
Release:	%mkrel 1
License:	LGPLv2+
Group:		Development/Other
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	jpeg-devel
BuildRequires:	xpm-devel
BuildRequires:	X11-devel
BuildRequires:	unixODBC-devel
BuildRequires:	db4-devel
BuildRequires:	openssl-devel
BuildRequires:	libncursesw-devel
BuildRequires:	gmp-devel
BuildRequires:	java-rpmbuild
URL:		http://www.swi-prolog.org/
Source0:	ftp://swi.psy.uva.nl/pub/SWI-Prolog/pl-%{version}.tar.gz
Patch0:		pl-5.6.63-format-string.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	swi-pl
Provides:	swi-pl

%description
Edinburgh-style Prolog compiler including modules, autoload, libraries,
Garbage-collector, stack-expandor, C-interface, GNU-readline and GNU-Emacs
interface, very fast compiler.

%package jpl
Group:		Development/Java
Summary:	Java interface for %{name}
Requires:	java >= 1.6.0
Requires:	%{name} = %{version}-%{release}

%description jpl
JPL is a dynamic, bi-directional interface between %{name} and Java
runtimes. It offers two APIs: Java API (Java-calls-Prolog) and Prolog
API (Prolog-calls-Java).

%package xpce
Group:		Development/Other
Summary:	%{name} native GUI library
Requires:	%{name} = %{version}-%{release}

%description xpce
XPCE is a toolkit for developing graphical applications in Prolog and
other interactive and dynamically typed languages. 

%prep
%setup -n pl-%{version} -q
%patch0 -p1 -b .format-string

%build
%{?__cputoolize: %{__cputoolize} -c src} 
%configure2_5x --with-world
make COFLAGS="%{optflags} -fno-strict-aliasing -fPIC"
#make check
pushd packages
export PATH=$PATH:%{_builddir}/pl-%{version}/src
%configure2_5x
make COFLAGS="%{optflags} -fno-strict-aliasing -fPIC" LD_LIBRARY_PATH=%{_builddir}/pl-%{version}/lib/%{_arch}-linux/
 
popd

%install
rm -rf %{buildroot}
%makeinstall_std
pushd packages
%makeinstall PLBASE=%{buildroot}%{_libdir}/pl-%{version} LD_LIBRARY_PATH=%{_builddir}/pl-%{version}/lib/%{_arch}-linux/
make html-install PLBASE=%{buildroot}%{_libdir}/pl-%{version}
popd

rm -f %{buildroot}%{_mandir}/man3/readline*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc LSM PORTING README VERSION
%{_bindir}/pl*
%{_libdir}/pl-*
%{_mandir}/*/pl*
%{_libdir}/pkgconfig/pl.pc
%exclude %{_libdir}/pl-%{version}/doc/packages/examples/jpl
%exclude %{_libdir}/pl-%{version}/doc/packages/jpl
%exclude %{_libdir}/pl-%{version}/lib/*/libjpl.so
%exclude %{_libdir}/pl-%{version}/lib/jpl.jar
%exclude %{_libdir}/pl-%{version}/library/jpl.pl
%exclude %{_libdir}/pl-%{version}/doc/Manual/*xpce.html
%exclude %{_libdir}/pl-%{version}/xpce*


%files jpl
%defattr(-,root,root,0755)
%doc packages/jpl/README.html
%{_libdir}/pl-%{version}/doc/packages/examples/jpl
%{_libdir}/pl-%{version}/doc/packages/jpl
%{_libdir}/pl-%{version}/lib/*/libjpl.so
%{_libdir}/pl-%{version}/lib/jpl.jar
%{_libdir}/pl-%{version}/library/jpl.pl

%files xpce
%defattr(-,root,root,0755)
%{_mandir}/*/xpce*
%{_bindir}/xpce*
%{_libdir}/pl-%{version}/doc/Manual/*xpce.html
%{_libdir}/pl-%{version}/xpce*



%changelog
* Thu Feb 26 2009 Frederik Himpe <fhimpe@mandriva.org> 5.6.64-1mdv2009.1
+ Revision: 345355
- Update to new version 5.6.64

* Thu Feb 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 5.6.63-2mdv2009.1
+ Revision: 345161
- rebuild against new readline

* Sat Jan 03 2009 Frederik Himpe <fhimpe@mandriva.org> 5.6.63-1mdv2009.1
+ Revision: 323792
- Add patch to fix build with -Werror=format-security
- Install x86_64 modules in /usr/lib64
- Update to new version
- jpl subpackage can work with any Java 1.6.0 environment

  + Adam Williamson <awilliamson@mandriva.org>
    - new release 5.6.56

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 5.6.55-2mdv2009.0
+ Revision: 225544
- rebuild

  + Adam Williamson <awilliamson@mandriva.org>
    - correct the comment (mumblegrumblenitpickinganssigrumblemumble)

* Tue Jun 17 2008 Adam Williamson <awilliamson@mandriva.org> 5.6.55-1mdv2009.0
+ Revision: 221101
- except a bogus automatic require which made package unusable (#40895)
- disable underlinking (package contains plugins not built with libtool)
- new release 5.6.55

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - replaced old buildreq from icedtea to java-rpmbuild

* Mon Mar 03 2008 Adam Williamson <awilliamson@mandriva.org> 5.6.51-1mdv2008.1
+ Revision: 178170
- new release 5.6.51

* Sat Feb 23 2008 Adam Williamson <awilliamson@mandriva.org> 5.6.50-1mdv2008.1
+ Revision: 174100
- build with fPIC (needed on x86-64)
- several new buildrequires for add-ons
- put jpl and xpce in subpackages to reduce deps of main package
- build all the add-ons (much functionality missing without them)
- minor cleanups
- new release 5.6.50

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Adam Williamson <awilliamson@mandriva.org> 5.6.47-2mdv2008.1
+ Revision: 116368
- disable tests; causing odd failure on buildsystem but work fine in manual build
- new license policy
- new release 5.6.47 (requested on forums)


* Tue Sep 26 2006 Pixel <pixel@mandriva.com> 5.4.6-4mdv2007.0
- rebuild for ncurses
- remove old packager tag

* Sun Jan 01 2006 Pixel <pixel@mandrakesoft.com> 5.4.6-3mdk
- Rebuild

* Tue May 03 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 5.4.6-2mdk
- fix lib path
- %%mkrel

* Fri Jan 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 5.4.6-1mdk
- 5.4.6
- fix summary-ended-with-dot
- do not remove builddir in %%clean

* Fri Nov 12 2004 Pixel <pixel@mandrakesoft.com> 5.4.3-1mdk
- new release

* Thu Dec 25 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.2.11-1mdk
- 5.2.11

* Tue Oct 21 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.0.10-3mdk
- cputoolize

